Subject: bug#24683: 25.1; tab in bibtex

From: Stefan Kangas <[email-masked]>
Date: Mon, 11 Nov 2019 15:06:56 +0100

Daniel Gildea <[email-masked]> writes:

> On Thu, October 13, 2016 at 10:10AM, Clément Pit--Claudel wrote:
>> On 2016-10-13 09:58, Daniel Gildea wrote:
>> > This is a request to change one of the default key bindings in
>> > bibtex mode.  TAB is bound to bibtex-find-text.  This causes an
>> > error when pasting text containing a tab character into a
>> > terminal-based emacs.  Tab characters are often used for
>> > formating in bibtex files, in particular in the output of the
>> > conversion utility bibutils.
>> 
>> Does your terminal not support bracket paste?
>> 
>
> Cool, I didn't know about that!  Enabling bracket paste
> in my .emacs solves the problem.  It would still be nice to have
> it work by default, either by changing the TAB binding or by
> making bracket paste on by default.

I think this is already the case.  From NEWS.25:

   ** Emacs now uses "bracketed paste mode" on text terminals that support it.
   [...]
   Bracketed paste mode is disabled by default, so Emacs automatically
   enables it at startup if the terminal supports it.
   
So I guess this bug report could be closed?

Best regards,
Stefan Kangas